Name:		xev
Version:	1.2.2
Release:	%mkrel 2
Summary:	Print contents of X events
Group:		Development/X11
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libxrandr-devel

%description
Xev creates a window and then asks the X server to send it events whenever
anything happens to the window (such as it being moved, resized, typed in,
clicked in, etc.). It is useful for testing input devices.

%prep
%setup -q

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

%files
%{_bindir}/xev
%{_mandir}/man1/xev.*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.2.2-2.mga6
+ Revision: 959248
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 1.2.2-1.mga6
+ Revision: 857293
- 1.2.2

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 750915
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-3.mga5
+ Revision: 690595
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 522155
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.2.1-1.mga3
+ Revision: 396970
- 1.2.1

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 386768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 tv <tv> 1.2.0-1.mga2
+ Revision: 211821
- BuildRequires libxrandr-devel
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.1.0-1.mga1
+ Revision: 26611
- imported package xev


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 591821
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 464706
- New version: 1.0.4
  fflush patch integrated upstream

* Thu Mar 19 2009 Olivier Blin <oblin@mandriva.com> 1.0.3-4mdv2009.1
+ Revision: 357765
- flush stdout after each event, so that output is not be buffered when used in scripts (patch from Debian)

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.3-3mdv2009.1
+ Revision: 351199
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 266085
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-1mdv2009.0
+ Revision: 194818
- Update to version 1.0.3.
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2008.1
+ Revision: 155802
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 76515
- rebuild for 2008
- add a line to description
- minor spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - do not hardcode lzma extension!!!


* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 22:41:09 (31896)
- new upstream releas (1.0.2):
   * Run XFilterEvent() on all events, not just KeyPresses.

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-01 20:13:15 (31864)
- fill in missing description & summaries

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

